> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Set template attachment settings



## OpenAPI

````yaml put /template/{template_id}/attachments/settings
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /template/{template_id}/attachments/settings:
    put:
      tags:
        - signplus
      summary: Set template attachment settings
      operationId: set_template_attachments_settings
      parameters:
        - in: path
          name: template_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetEnvelopeAttachmentsSettingsRequest'
      responses:
        '200':
          description: Attachment settings set successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopeAttachments'
      security:
        - BearerAuth:
            - SIGN_ALL_EDIT
components:
  schemas:
    SetEnvelopeAttachmentsSettingsRequest:
      type: object
      properties:
        settings:
          $ref: '#/components/schemas/AttachmentSettings'
      required:
        - settings
    EnvelopeAttachments:
      type: object
      properties:
        settings:
          $ref: '#/components/schemas/AttachmentSettings'
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentPlaceholdersPerRecipient'
    AttachmentSettings:
      type: object
      properties:
        visible_to_recipients:
          type: boolean
          description: >-
            Whether the attachment is visible to the recipients or only to the
            sender
    AttachmentPlaceholdersPerRecipient:
      type: object
      properties:
        recipient_id:
          type: string
          description: ID of the recipient
        recipient_name:
          type: string
          description: Name of the recipient
        placeholders:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentPlaceholder'
    AttachmentPlaceholder:
      type: object
      properties:
        recipient_id:
          type: string
          description: ID of the recipient
        id:
          type: string
          description: ID of the attachment placeholder
        name:
          type: string
          description: Name of the attachment placeholder
        hint:
          type: string
          description: Hint of the attachment placeholder
        required:
          type: boolean
          description: Whether the attachment placeholder is required
        multiple:
          type: boolean
          description: Whether the attachment placeholder can have multiple files
        files:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentPlaceholderFile'
    AttachmentPlaceholderFile:
      type: object
      properties:
        id:
          type: string
          description: ID of the file
        name:
          type: string
          description: Name of the file
        size:
          type: integer
          description: Size of the file in bytes
        mimetype:
          type: string
          description: MIME type of the file
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````